#!/bin/bash

# В системе должны быть установлены пакеты
# gzip, pcsc-lite-ccid, gcr

JCPKCS_PACKAGE=`ls -l | sed -r -n 's/.*(jcpkcs11-2-[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+-1\.x86_64\.rpm)/\1/p'`
UC_PACKAGE=`ls -l | sed -r -n 's/.*(jacartauc-[0-9]+\.[0-9]+\.[0-9]+\.[0-9]+-altlinux\.x86_64\.rpm)/\1/p'`

if [ -z "$JCPKCS_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jcpkcs11-2!"
    exit 1
fi

if [ -z "$UC_PACKAGE" ]; then
    echo "Ошибка!!! Отсутствует пакет jacartauc!"
    exit 1
fi

echo "Установка пакетов!"
echo "=========================================="
apt-get install -y libpcsclite pcsc-lite pcsc-lite-ccid

mount -o remount,exec /tmp
apt-get install -y $JCPKCS_PACKAGE $UC_PACKAGE
mount -o remount,noexec /tmp
